Subject: [v6ops] new draft: draft-chown-v6ops-address-accountability-00.txt

From: <[email-masked]>
Date: Tue, 5 Jul 2011 06:55:00 -0700 (PDT)

A new draft has been posted, at http://tools.ietf.org/html/draft-chown-v6ops-address-accountability. Please take a look at it and comment.

---

From: james woodyatt <[email-masked]>
Date: Tue, 05 Jul 2011 13:06:04 -0700

> A new draft has been posted, at http://tools.ietf.org/html/draft-chown-v6ops-address-accountability. Please take a look at it and comment.

This is a useful draft, and I could support its adoption as a working group item.

In section 2.3, the draft says this:

   While it is possible to craft IPv6 Router Advertisements that give
   'hints' to hosts that DHCPv6 should be used ('M' bit set), there is
   no obligation on the host to honour that hint, or to not use privacy
   addressing as well.

What about leaving the Autonomous flag in the Prefix-Information option unset?

Section 5.5.3 of RFC 4862 specifies how hosts are to ignore Prefix-Information options without the Autonomous flag set when creating global addresses with stateless autoconfiguration, and section 3.3 of RFC 4941 explicitly references the relevant passage in RFC 4862.

--
james woodyatt <[email-masked]>
member of technical staff, core os networking